Redmine - Patch #838

abstract_adapter: use shell_quote to more properly escape path
2008-03-12 16:22 - John Goerzen

Status: Closed Start date: 2008-03-12
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

While the existing function eliminates some special characters, it does not eliminate all.

Use shell_quote to properly escape the whole thing.

Associated revisions

Revision 1238 - 2008-03-13 00:00 - Jean-Philippe Lang
SCM AbstractAdapter use shell_quote to more properly escape path (closes #838 by John Goerzen).

History

#1 - 2008-03-13 00:17 - Jean-Philippe Lang
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1238.
